# $Revision: 1.13 $, $Date: 2012/06/02 12:14:30 $
# TODO
# - check minimum gcc ver:
#   on ac gcc 3.3.6: - BZ2StreamScanner.cpp:(.text+0x219): undefined reference to `std::char_traits<unsigned char>::length(unsigned char const*)'
Summary:	Parallel implementation of bzip2
Summary(pl.UTF-8):	Zrównoleglona implementacja bzip2
Name:		pbzip2
Version:	1.1.6
Release:	1
License:	BSD
Group:		Applications/Archiving
Source0:	http://www.compression.ca/pbzip2/%{name}-%{version}.tar.gz
# Source0-md5:	26cc5a0d882198f106e75101ff0544a3
URL:		http://www.compression.ca/pbzip2/
BuildRequires:	bzip2-devel
BuildRequires:	libstdc++-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
PBZIP2 is a parallel implementation of the bzip2 block-sorting file
compressor that uses pthreads and achieves near-linear speedup on SMP
machines. The output of this version is fully compatible with bzip2
v1.0.2 or newer (ie: anything compressed with pbzip2 can be
decompressed with bzip2).

%description -l pl.UTF-8
PBZIP2 to zrównoleglona implementacja algorytmu kompresji plików
metodą sortowania bloków sobzip2, wykorzystująca mechanizm wątków
pthread i osiągająca prawie liniowe przyspieszenie na maszynach
wieloprocesorowych. Wyjście z tego programu jest w pełni kompatybilne
z formatem bzip2 w wersji 1.0.2 lub nowszej (tzn. wszystko
skompresowane programem pbzip2 może być rozpakowane przy pomocy
bzip2).

%prep
%setup -q

%build
%{__make} \
	CC="%{__cxx}" \
	OPTFLAGS="%{rpmcxxflags}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_mandir}/man1}
install -p %{name} $RPM_BUILD_ROOT%{_bindir}
ln -sf %{name} $RPM_BUILD_ROOT%{_bindir}/pbunzip2
cp -a %{name}.1 $RPM_BUILD_ROOT%{_mandir}/man1

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog COPYING README
%attr(755,root,root) %{_bindir}/pbzip2
%attr(755,root,root) %{_bindir}/pbunzip2
%{_mandir}/man1/pbzip2.1*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: pbzip2.spec,v $
Revision 1.13  2012/06/02 12:14:30  blekot
- 1.1.6

Revision 1.12  2011/07/21 09:57:37  marti
- up to 1.1.5

Revision 1.11  2011/04/30 14:23:50  areq
- 1.1.4

Revision 1.10  2011/03/29 21:04:43  areq
- 1.1.3

Revision 1.9  2011/02/20 15:46:30  areq
- 1.1.2

Revision 1.8  2010/07/05 14:01:01  areq
- 1.1.1

Revision 1.7  2010/04/18 15:02:52  glen
- unify, ac build fails

Revision 1.6  2010/04/18 12:15:20  blues
- 1.1.0

Revision 1.5  2009/01/12 20:58:39  areq
- 1.0.5

Revision 1.4  2007/09/05 19:44:49  blues
- rel.1

Revision 1.3  2007/08/04 14:24:18  qboosh
- quote CC, BR: libstdc++-devel

Revision 1.2  2007/07/28 22:29:30  vip
- updated md5

Revision 1.1  2007/07/28 16:01:30  vip
- initial
- don't know if fixing OPTFLAGS is correct, if yes, please make rel 1.0
